<?php
/**copyrights**/
$price = round( $price, 0 );

$data = $plan_id .'|'. $item_id .'|'. $account_id .'|'. $price .'|'. $callback_class .'|'. $callback_method .'|'. $cancel_url .'|'. $success_url .'|'. RL_LANG_CODE .'|'. $callback_plugin; // $callback_plugin from v4.0.2
$data = base64_encode( $data ) ;
                                   
$success_url = $success_url . '&amp;item_number=' . $data; 
$reference = $reefless -> generateHash(8, 'upper');
$signature = md5( $GLOBALS['config']['bitpay_api'] . 1 . $reference . $price . $GLOBALS['config']['bitpay_currency'] );

$notify_url = RL_PLUGINS_URL . 'bitpay/controllers/post.gateway.php?item_number=' . $data . '&amp;ref=' . $reference . '&amp;s=' . $signature;
$notify_url = urlencode( $notify_url );

if( $GLOBALS['config']['bitpay_test_mode'] ) {
	$api = 'adxcv-zzadq-polkjsad-opp13opoz-1sdf455aadzmck1244567';
	$payment_url = 'https://bitpay.ir/payment-test/gateway-send'; 
}
else {
	$api = $GLOBALS['config']['bitpay_api'];
	$payment_url = 'https://bitpay.ir/payment/gateway-send'; 
}

$ch = curl_init();         
curl_setopt($ch,CURLOPT_URL, $payment_url );          
curl_setopt($ch,CURLOPT_POSTFIELDS,"api={$api}&amount={$price}&redirect={$notify_url}");
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
$res = curl_exec($ch);
curl_close($ch);

switch( $res ) {
	case '-1' :   
		$errors[] = 'بیت پی : کد api ارسالی با کد api ثبت شده در بیت پی سازگار نیست.';
		$rlSmarty -> assign_by_ref('errors', $errors);
		break;
	case '-2' :  
		$errors[] = 'بیت پی : مبلغ یک مقدار عددی است و حداقل باید 1000 ریال باشد.';
		$rlSmarty -> assign_by_ref('errors', $errors);
		break;
		//die();    
	case '-3' : 
		$errors[] = 'بیت پی : آدرس بازگشت از درگاه یک مقدار نال می باشد.';
		$rlSmarty -> assign_by_ref('errors', $errors);     
		break;    
	case '-4' :
		$errors[] = 'بیت پی : چنین درگاهی وجود ندارد و یا هنوز در انتظار تایید می باشد!';
		$rlSmarty -> assign_by_ref('errors', $errors);
		break;    
	default :
		
		if( $res > 0 && is_numeric( $res ) ){
			if( $GLOBALS['config']['bitpay_test_mode'] ) 
				$go = "https://bitpay.ir/payment-test/gateway-{$res}";
			else {
				$go = "https://bitpay.ir/payment/gateway-{$res}";
			}
			header("Location: {$go}");
			die();
		}
		else {
			$errors[] = 'خطا در ارسال به بیت پی';
			$rlSmarty -> assign_by_ref('errors', $errors);
		}
}
